Probleme Mac M1 depuis un "brew upgrade"

Added by Muriel Vander Donckt 9 days ago

Bonjour,
J'ai un Mac M1 avec Monterey 12.6. Depuis que j'ai mis mes distributions à jour avec "brew upgrade", AMC ne reconnait plus mes scans (se plaint de ne pas trouver libopencv.406 alors que j'ai maintenant libopencv.407 )
J'ai donc essayer de réinstaller et voilà ci-dessous ce que cela donne après téléchargement, alors que j'ai bien poppler et cairo installés :
/opt/homebrew/Cellar/cairo/1.16.0_5/include/cairo/cairo.h
/opt/homebrew/Cellar/poppler/23.01.0/include/poppler/glib/poppler.h

Je veux bien un coup de main :) - un grand merci d'avance.
Muriel

> Reinstalling maelvls/amc/auto-multiple-choice
> make AMCCONF=brew PREFIX=/opt/homebrew/Cellar/auto-multiple-choice/1.5.0 LIB
Last 15 lines from /Users/muriel/Library/Logs/Homebrew/auto-multiple-choice/01.make:
gcc -o AMC-pdfformfields pdfformfields.c -O2 -lm
pdfformfields.c:8:10: fatal error: 'poppler.h' file not found
#include <poppler.h>
^~~~~~~~~
In file included from AMC-buildpdf.cc:23:
./buildpdf.cc:30:10: fatal error: 'cairo.h' file not found
#include <cairo.h>
^~~~~~~
1 error generated.
make1: * [Makefile:139: AMC-pdfformfields] Error 1
make1:
Waiting for unfinished jobs....
1 error generated.
make1:
[Makefile:136: AMC-buildpdf] Error 1
make1: Leaving directory '/private/tmp/auto-multiple-choice-20230122-59567-1tikj0x/auto-multiple-choice-1.5.0'
make: *
[Makefile:126: all_precomp] Error 2

Do not report this issue to Homebrew/brew or Homebrew/core!


Replies (2)

RE: Probleme Mac M1 depuis un "brew upgrade" - Added by Muriel Vander Donckt 9 days ago

Ajout des logs complets. Il semble qu'il y ait l'erreur suivante (alors libpthread-stubs.pc existe)

Perhaps you should add the directory containing `pthread-stubs.pc'
to the PKG_CONFIG_PATH environment variable
Package 'pthread-stubs', required by 'xcb', not found

01.make - Logs de make… (15.4 kB)

RE: Probleme Mac M1 depuis un "brew upgrade" - Added by Marc Ferré 4 days ago

J’ai exactement le même problème Mac M1 avec macOS Ventura 13.2 (depuis une mise à jour d’une dépendance avec « brew upgrade »).

J’ai beaucoup cherché et je ne trouve malheureusement pas non plus de solution… avec mes copies sont en attente de correction…

J’ajoute mon merci d’avance pour une aide éventuelle ;-)

Amicalement,
Marc

(1-2/2)